<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yd.csf.service.dao.FormulaConfigMapper">

    <select id="page" resultType="com.yd.csf.feign.response.formulaconfig.ApiFormulaConfigPageResponse">
        select * from formula_config fc
        <where>
            <if test="request.name != null and request.name != ''">
                and fc.name like concat('%', #{request.name}, '%')
            </if>
            and fc.is_deleted = 0
        </where>
    </select>
</mapper>
